//****************************************************************************
// @Module        Asynchronous / Synchronous Serial Interface (ASC)
// @Filename      ASC.H
// @Project       prakt3.dav
//----------------------------------------------------------------------------
// @Controller    Infineon C164CI-8E
//
// @Compiler      KEIL C166
//
// @Codegenerator DAvE 2-0-0
//
// @Description   This file contains all function prototypes and macros for
//                the Asynchronous / Synchronous Serial Interface.
//
//----------------------------------------------------------------------------
// @Date          27.05.2013 08:39:19
//
//****************************************************************************

//****************************************************************************
// @Prototypes of global functions
//****************************************************************************

void ASC_vInit(void);


// USER CODE BEGIN (ASCHeader,1)
void DoPrintZ (int iZnr, char *pBuf);
void DoPrintWord (int iZnr,uword Word);
void ClrScr(void);
//debug function
bit isSending(void);

// USER CODE END


//****************************************************************************
// @Macros
//****************************************************************************


// USER CODE BEGIN (ASCHeader,2)

// USER CODE END


//***************************************************************************
// @Defines
//***************************************************************************


// USER CODE BEGIN (ASCHeader,4)

// USER CODE END


//****************************************************************************
// @Interrupt Vectors
//****************************************************************************

#define S0TINT    0x2A
#define S0TBINT   0x47


// USER CODE BEGIN (ASCHeader,3)

// USER CODE END


