//****************************************************************************
// @Module        CC2
// @Filename      CC2.H
// @Project       prakt3.dav
//----------------------------------------------------------------------------
// @Controller    Infineon C164CI-8E
//
// @Compiler      KEIL C166
//
// @Codegenerator DAvE 2-0-0
//
// @Description   This file contains all function prototypes and macros for
//                the Capture Compare unit 2.
//
//----------------------------------------------------------------------------
// @Date          27.05.2013 08:39:19
//
//****************************************************************************

//****************************************************************************
// @Prototypes of global functions
//****************************************************************************

void CC2_vInit(void);


// USER CODE BEGIN (CC2Header,1)
void StartTemp();
bit bTempDa();
float fGetTemp();
// USER CODE END


//****************************************************************************
// @Macros
//****************************************************************************


// USER CODE BEGIN (CC2Header,2)
#define CC19_INT_ENABLE()    CC19IE = 1
#define CC19_INT_CLEAR()    CC19IR = 0
#define CC19_INT_DISABLE()    CC19IE = 0
#define CC19_RUNNING (CC19IE == 1)
// USER CODE END


//****************************************************************************
// @Defines
//****************************************************************************

#define TIMER_7 T7
#define TIMER_8 T8

// Defines for enabled CAPCOM2 channels:

#define CC_18 CC18
#define CC_19 CC19


// USER CODE BEGIN (CC2Header,3)
#define TEMP_BUFFERSIZE 50
// USER CODE END


//****************************************************************************
// @Interrupt Vectors
//****************************************************************************

#define CC18INT   0x32
#define CC19INT   0x33


// USER CODE BEGIN (CC2Header,4)

// USER CODE END

