//****************************************************************************
// @Module        General Purpose Timer Unit 1
// @Filename      GT1.H
// @Project       prakt3.dav
//----------------------------------------------------------------------------
// @Controller    Infineon C164CI-8E
//
// @Compiler      KEIL C166
//
// @Codegenerator DAvE 2-0-0
//
// @Description   This file contains all function prototypes and macros for
//                the GPT1 unit.
//
//----------------------------------------------------------------------------
// @Date          27.05.2013 08:39:19
//
//****************************************************************************

//****************************************************************************
// @Prototypes of global functions
//****************************************************************************

void GT1_vInit(void);


// USER CODE BEGIN (Header,1)
#ifndef _AD_H___
#define _AD_H___ 
bit KeyDown(void);

char GetKey(void);

uword fGibADMittel(unsigned char channel);
uword fGibGewicht();
typedef struct
{
	uword buffer[20];
	uword sum;
	uword * curBuffer;
}ADCHANNELS;
#endif
// USER CODE END


//****************************************************************************
// @Macros
//****************************************************************************


// USER CODE BEGIN (Header,2)

// USER CODE END


//***************************************************************************
// @Defines
//***************************************************************************

#define TIMER_2 T2
#define TIMER_3 T3
#define TIMER_4 T4


// USER CODE BEGIN (Header,3)

// USER CODE END


//***************************************************************************
// @Interrupt vectors
//***************************************************************************

#define T2INT   0x22
#define T3INT   0x23


// USER CODE BEGIN (Header,4)

// USER CODE END


